Bug 138822 - when managing Named Ranges changes are applied even if you press the "Cancel" button
Summary: when managing Named Ranges changes are applied even if you press the "Cancel"...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.0.1.2 release
Hardware: All All
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:7.1.0.0.beta2 target:7.2.0 tar...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-11 13:55 UTC by Pablovx
Modified: 2020-12-17 12:37 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pablovx 2020-12-11 13:55:03 UTC
Description:
The "Cancel" button in the "Manage Defined Names" dialog (accesible via Ctrl-F3 shortcut) doesn't work properly (it applies any change).

Steps to reproduce it:
1) define any named range (Sheet\Named Ranges and Expressions\Define...)
2) open the dialog to manage the named ranges (shortcut Ctrl-F3)
3) edit/change the range for the name defined in step 1
Suppose you changed your mind, and you want to keep the previous range:
4) press Cancel button in the dialog window (or close it by pressing X window button)

Result: Changes made in step 3 are applied to the defined name.

Steps to Reproduce:
1. define any named range (Sheet\Named Ranges and Expressions\Define...)
2. open the dialog to manage the named ranges (shortcut Ctrl-F3)
3. edit/change the range for the name defined in step 1
4. press Cancel button in the dialog window (or close it by pressing X window button)

Actual Results:
The changes made in step 3 are applied anyway

Expected Results:
Changes are discarded and the range for the named range remains the same


Reproducible: Always


User Profile Reset: No



Additional Info:
Closing the dialog by pressing the X button (window bar) produces the same result (changes are applied).
Comment 1 Mike Kaganski 2020-12-11 14:26:01 UTC
Repro using Version: 7.0.4.1 (x64)
Build ID: e3cebc55238632eae061a3da668963d484a71147
CPU threads: 12; OS: Windows 10.0 Build 19042; UI render: Skia/Raster; VCL: win
Locale: ru-RU (ru_RU); UI: en-US
Calc: CL
Comment 2 Julien Nabet 2020-12-12 11:17:01 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 3 Julien Nabet 2020-12-12 11:17:27 UTC
I submitted a patch to review here:
https://gerrit.libreoffice.org/c/core/+/107635
Comment 4 Commit Notification 2020-12-17 11:40:21 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/ccff3cc5830ff5780123722f809bbe748cc7e5fd

tdf#138822: really undo when clicking Cancel in managing Named Ranges

It will be available in 7.1.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2020-12-17 11:46:30 UTC
Verified in

Version: 7.2.0.0.alpha0+
Build ID: 4484accf4d331a95ebf8475d6cd91950f4c27bcc
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Julien, thanks for fixing this issue!! Should it be closed as RESOLVED FIXED ?
Comment 6 Commit Notification 2020-12-17 12:14:59 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/456cc328c43f67994629204003247923d783db96

tdf#138822: sc: Add UItest

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Julien Nabet 2020-12-17 12:19:14 UTC
(In reply to Xisco Faulí from comment #5)
>...
> @Julien, thanks for fixing this issue!! Should it be closed as RESOLVED
> FIXED ?
Indeed! :-)
Comment 8 Commit Notification 2020-12-17 12:37:22 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/a10c7ec17fe57c0367ce5a4cbefd89e8b63e069b

tdf#138822: really undo when clicking Cancel in managing Named Ranges

It will be available in 7.0.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.